<!--Main layout-->
<main>
  <!--Section: about-->
  <section id="about" style="margin-top: 5%; margin-bottom: 3%">
    <div class="container">

      <div class="row text-center elegant-color text-white pt-2 z-depth-2">
        <div class="col-lg-12">
          <hr class="hr-light">
          <h2 style="padding-top: 2%" class="h1-responsive font-weight-bold mb-5">MES PROJETS</h2>
          <hr class="hr-light">
        </div>
      </div>

      <div class="row">
        <div class="col-lg-4" style="margin-top: 2%" *ngFor="let project of projectList" >
          <!-- Card Wider -->
          <div class="card card-cascade wider z-depth-2">

            <!-- Card image -->
            <div class="view view-cascade overlay">
              <img class="card-img-top" src="./assets/image/{{project.imageDTOList[0].imagePath}}" alt="Card image cap"
                   style="height: 196px; width: 350px">
              <a (click)="onClickPojectDetail(project)" routerLink="projectDetail">
                <div class="mask rgba-white-slight"></div>
              </a>
            </div>

            <!-- Card content -->
            <div class="card-body elegant-color white-text card-body-cascade text-center pb-0"
                 style="height: 297px">

              <!-- Title -->
              <h4 class="card-title"><strong>{{project.name}}</strong></h4>
              <hr class="hr-light">
              <!-- links -->
              <div class="links">
                <!-- Lien vers le Projet -->

                <a class="px-2 fa-lg li-ic"
                   (click)="onClickPojectDetail(project)" routerLink="projectDetail"><i class="fas fa-search-plus fa-2x white-text"></i></a>
                <span *ngIf="project.resourceDTOList[0]">
                <a class="px-2 fa-lg li-ic" href="{{project.resourceDTOList[0].url}}" target="_blank"><i class="fab fa-github-square fa-2x white-text"></i></a>
              </span>
              </div>

              <!-- Card footer -->
              <div class="card-footer hr-light text-white text-center mt-4">
                <p>Date de publication : {{datePipe.transform(project.publication, 'yyyy/MM/dd')}}</p>
              </div>

            </div>

          </div>
          <!-- Card Wider -->
        </div>
      </div>
    </div>
  </section>
</main>

